## dtsdec dtsdec |

## Properties

gboolean | drc | Read / Write

## Types and Values

struct | GstDtsDec

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstAudioDecoder
                        ╰── GstDtsDec

## Description

Digital Theatre System (DTS) audio decoder

### Example launch line

    1
    gst-launch-1.0 dvdreadsrc title=1 ! mpegpsdemux ! dtsdec ! audioresample ! audioconvert ! alsasink

Play a DTS audio track from a dvd.

    1
    gst-launch-1.0 filesrc location=abc.dts ! dtsdec ! audioresample ! audioconvert ! alsasink

Decode a standalone file and play it.

## Synopsis

### Element Information

plugin | dtsdec
author | Jan Schmidt <thaytan@noraisin.net>, Ronald Bultje <rbultje@ronald.bitfreak.net>
class | Codec/Decoder/Audio

### Element Pads

name | sink
direction | sink
presence | always
details | audio/x-dts
| audio/x-private1-dts

name | src
direction | source
presence | always
details | audio/x-raw, format=(string)F32LE, layout=(string)interleaved, rate=(int)[ 4000, 96000 ], channels=(int)[ 1, 6 ]

## Functions

## Types and Values

### struct GstDtsDec

    struct GstDtsDec;

## Property Details

### The `“drc”` property

      “drc”                      gboolean

Use Dynamic Range Compression.

Flags: Read / Write

Default value: FALSE